var index =
[
    [ "OpenMesh Python Bindings", "index.html#openmesh-python", null ],
    [ "Building OpenMesh", "index.html#iov", null ],
    [ "Compiling OpenMesh", "a06007.html", [
      [ "Tested compilers", "a06007.html#compilers", null ],
      [ "Required libraries (Only if you want to build the included Apps)", "a06007.html#req_libs", null ],
      [ "Chosing build system", "a06007.html#build_systems", null ],
      [ "Unix", "a06007.html#sec_compiling_unix", [
        [ "Compiling OpenMesh using CMake", "a06007.html#linux_using_cmake", null ]
      ] ],
      [ "Windows", "a06007.html#sec_compiling_windows", [
        [ "Compiling OpenMesh using CMake", "a06007.html#windows_using_cmake", null ]
      ] ],
      [ "MacOS X", "a06007.html#sec_compiling_macosx", [
        [ "Compiling OpenMesh using CMake", "a06007.html#mac_using_cmake", null ]
      ] ]
    ] ],
    [ "Using and understanding OpenMesh", "a06009.html", [
      [ "Features and Goals of OpenMesh", "a06012.html", null ],
      [ "The Halfedge Data Structure", "a06014.html", null ],
      [ "Mesh Iterators and Circulators", "a06020.html", [
        [ "Iterators", "a06020.html#it_iters", [
          [ "Deleted Elements", "a06020.html#deletedElements", null ]
        ] ],
        [ "How to use iterators in OpenMesh", "a06020.html#it_iters_h", null ],
        [ "Skipping Iterators", "a06020.html#it_iters_skipping", null ],
        [ "Circulators", "a06020.html#it_circs", null ],
        [ "How to use circulators in OpenMesh", "a06020.html#it_circs_h", null ]
      ] ],
      [ "How to navigate on a mesh", "a06022.html", [
        [ "Overview", "a06022.html#nav_overview", null ],
        [ "Introduction", "a06022.html#nav_intro", null ],
        [ "Navigating over halfedges", "a06022.html#nav_he", null ],
        [ "Mesh boundaries", "a06022.html#nav_bound", null ],
        [ "Using incoming and outgoing halfedges", "a06022.html#nav_io", null ],
        [ "Using opposite halfedges", "a06022.html#nav_opposite", null ],
        [ "Getting the to and from vertices", "a06022.html#nav_to_from", null ]
      ] ],
      [ "Read and write meshes from files", "a06019.html", [
        [ "Step 1 - IOManager quick start", "a06019.html#mesh_io_quick", null ],
        [ "Step 2 - The theory behind IOManager", "a06019.html#mesh_io_theory", null ],
        [ "Step 3 - How to extend IOManager", "a06019.html#mesh_io_extend", [
          [ "Adding support for a new file format", "a06019.html#mesh_io_extend_fileformat", null ],
          [ "Adding support for a new data structure", "a06019.html#mesh_io_extend_datastruct", null ]
        ] ]
      ] ],
      [ "Some basic operations: Flipping and collapsing edges", "a06023.html", [
        [ "Flipping edges in triangle meshes", "a06023.html#op_flip", null ],
        [ "Collapsing edges", "a06023.html#op_collapse", null ]
      ] ],
      [ "Conceptual Class Hierarchy", "a06015.html", [
        [ "Building the kernel", "a06015.html#ch_kernel", null ],
        [ "Building the mesh", "a06015.html#ch_complete", null ]
      ] ],
      [ "Specifying your MyMesh", "a06016.html", [
        [ "Polygonal or Triangle Mesh?", "a06016.html#sec_select_face_type", null ],
        [ "Choosing the right kernel", "a06016.html#sec_select_kernel", null ],
        [ "Mesh Traits", "a06016.html#sec_select_traits", [
          [ "Changing the Point type", "a06016.html#sec_change_point", null ],
          [ "Adding Predefined Attributes", "a06016.html#sec_add_attributes", null ],
          [ "Adding User-Defined Elements", "a06016.html#sec_add_traits", null ],
          [ "Using traits defined by algorithms", "a06016.html#sec_algo_traits", null ]
        ] ],
        [ "Dynamic Properties", "a06016.html#sec_properties", null ],
        [ "Final Implementation Example", "a06016.html#sec_traits_example", null ]
      ] ],
      [ "Specifying an OpenMesh using Eigen3 vectors", "a06017.html", null ]
    ] ],
    [ "OpenMesh Tools Documentation", "a06027.html", [
      [ "Mesh Decimation Framework", "a06008.html", [
        [ "The decimation algorithm", "a06008.html#DecimaterAlg", null ],
        [ "Block vertices from beeing touched by the Decimater", "a06008.html#DecimaterLock", null ],
        [ "Decimating Modules", "a06008.html#DecimaterMod", null ],
        [ "Module Handles", "a06008.html#DecimaterHnd", null ],
        [ "Basic Setup", "a06008.html#DecimaterExa", null ]
      ] ],
      [ "Sudivision Tools", "a06026.html", [
        [ "Overview", "a06026.html#OM_Subdivider_Overview", null ],
        [ "Usage", "a06026.html#OM_Subdivider_Usage", null ]
      ] ],
      [ "View Dependent Progressive Meshes", "a06043.html", null ],
      [ "Smoother Tools", "a06024.html", [
        [ "Overview", "a06024.html#OM_Smoother_Overview", null ],
        [ "Usage", "a06024.html#OM_Smoother_Usage", null ],
        [ "Options", "a06024.html#Options", [
          [ "Continuity", "a06024.html#Continuity", null ],
          [ "Component", "a06024.html#Component", null ],
          [ "Local Error", "a06024.html#localError", null ]
        ] ]
      ] ],
      [ "Smart Tagger", "a06044.html", null ]
    ] ],
    [ "Tutorials (code examples)", "a06042.html", [
      [ "How to create your own project using OpenMesh", "a06041.html", null ],
      [ "First Steps - Building a cube", "a06028.html", null ],
      [ "Using iterators and circulators", "a06029.html", null ],
      [ "Using (custom) properties", "a06030.html", null ],
      [ "Using STL algorithms", "a06031.html", null ],
      [ "Using Smart Handles", "a06039.html", null ],
      [ "Filtering ranges with predicates", "a06040.html", null ],
      [ "Using standard properties", "a06032.html", null ],
      [ "Using mesh attributes and traits", "a06033.html", null ],
      [ "Extending the mesh using traits", "a06034.html", null ],
      [ "Deleting geometry elements", "a06035.html", null ],
      [ "Using IO::Options", "a06036.html", null ],
      [ "Using custom properties (old style)", "a06037.html", null ],
      [ "Storing custom properties", "a06038.html", null ]
    ] ],
    [ "Additional Information on OpenMesh", "a06010.html", [
      [ "Notes on template programming", "a06011.html", null ],
      [ "Some words on the C++ implementation", "a06013.html", null ],
      [ "Where do I find a list of all member functions ?", "a06018.html", null ],
      [ "Naming Conventions", "a06021.html", null ],
      [ "Some Notes on how to speedup OpenMesh", "a06025.html", null ],
      [ "Changelog", "a06006.html", null ]
    ] ]
];